If Ghost is too good, where is Ghost 2?!

A little over a week ago, the Ghost Foundation have released the all new Ghost 2.0.0. Well actually not all is new. But, I can consider it's new enough because the legacy editor is gone and now we all stuck with this Koenig editor which is still a bit confusing for me even though I've been using this since Ghost 1.x. Since it's quite a a major leap from 1.x to 2.x, of course they warned us about upgrading. Me without thinking, I ran the ghost-cli just to get the latest and greatest and it went smooth. No error or what so ever. Though I must admit, I did a server maintenance around 2 weeks ago and a bit upgrading so I can support multiple Ghost instances in this single virtual private server.

Running Ghost on Node.js 6.x is just a bit outdated I can say, because some newer dependencies can only run Node.js 8.x and above. I remember a few months ago or perhaps over a year ago when the Ghost Docs mentioned that 6.x is supported but 8.x is recommended but you know those guys who seems to know better over the forum said, just use 6.x because there's no problem at all bla bla bla and the last version before Ghost 2.0.0 was Ghost 1.25.5 and that particular version started to support only Node.js 8.x.

Me as usual, tried to upgrade my Node.js installation and something went wrong even though there's no problem with the installation. Thus making me have to do a forced server re-installation and migrate my old db and data to the new setup. It's fairly easy, fortunately. Having my vps upgraded at the same time, I decided to spawn another instance just to see how resource hungry it is but it's actually not at all! With an instance, it's only using around 125MB of ram but this varies depends on the scale of visitors. With 2 instances, peaking around 245MB of ram. I can say, it took around 100-ish each which is super cool.

What is new in this thing?

and much more, you can read it at Ghost Blog.